View Issue Details

IDProjectCategoryView StatusLast Update
12032Bug reports[All Projects] Otherpublic2018-06-11 16:26
ReporterbdeprezAssigned Todominikvitt 
PrioritylowSeverityminor 
Status closedResolutionfixed 
Product Version2.55.x 
Target VersionFixed in Version3.10.x 
Summary12032: Homepage boxes - external links opened twice when clicking icon
Description

When a homepage box links to an external webpage (eg. www.google.com) and one clicks on the icon or the help text, the link is opened twice (in 2 different pages / tabs).

Steps To Reproduce
  • Create homepage box with link to https://www.google.com and select any icon
  • Save homepage box
  • on the homepage, click the icon OR help text (at bottom of the box) -> link is opened twice
  • if you click on the white space around the icon OR the title of the box -> link is opened only once
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 2.57.1+161205
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMariaDB 10.1
Server OS (if known)RHEL 7.2
Webserver software & version (if known)Apache
PHP VersionPHP 5.6

Activities

guest

guest

2018-06-04 15:53

viewer   ~47974

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27309

Related Changesets

LimeSurvey: master 2aac9fb6

2018-06-04 15:52:53

Dominik Vitt

Details Diff
Fixed issue 12032: Homepage boxes - external links opened twice when clicking icon Affected Issues
12032
mod - application/extensions/PanelBoxWidget/views/box.php Diff File

Issue History

Date Modified Username Field Change
2017-01-04 22:57 bdeprez New Issue
2017-01-12 12:14 c_schmitz Assigned To => LouisGac
2017-01-12 12:14 c_schmitz Status new => assigned
2018-05-23 13:19 LouisGac Priority none => low
2018-06-04 14:49 LouisGac Assigned To LouisGac => dominikvitt
2018-06-04 15:53 Changeset attached => LimeSurvey master 2aac9fb6
2018-06-04 15:53 guest Note Added: 47974
2018-06-04 15:53 guest Resolution open => fixed
2018-06-04 15:59 dominikvitt Status assigned => resolved
2018-06-04 15:59 dominikvitt Fixed in Version => 3.8.x
2018-06-11 16:26 markusfluer Status resolved => closed
2018-06-11 16:26 markusfluer Fixed in Version 3.8.x => 3.10.x